%define name ircd
%define version 2.10.3
%define release 7mdk

Name:		%{name}
Summary:	IRC server from ftp.irc.org
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/IRC
URl: 		http://www.irc.org/
Source0:	ftp://ftp.irc.org/irc/server/%{name}-%{version}.tar.bz2
Source1:	ircd.init
Source2:	irc%{version}-config.h
Source3:	ircd_crypter
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
ircd is the server (daemon) program for the Internet Relay Chat Program. The 
ircd is a server in that its function is to "serve" the client program irc(1) 
with messages and commands. All commands and user messages are passed directly 
to the ircd for processing and relaying to other ircd sites.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

CFLAGS=-D_GNU_SOURCE ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--localstatedir=/var/run \
	--sysconfdir=%{_sysconfdir}/ircd \
	--logdir=/var/log \
	--with-zlib \
	--mandir=$RPM_BUILD_ROOT%{_mandir} \
	--disable-ipv6
MYARCH=`support/config.guess`
install -m644 %SOURCE2 $MYARCH/config.h
cd $MYARCH
make server


%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ircd
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

make -C `support/config.guess` prefix=$RPM_BUILD_ROOT%{_prefix} \
	ircd_conf_dir=$RPM_BUILD_DIR%{_sysconfdir}/ircd \
	ircd_var_dir=$RPM_BUILD_ROOT/var/run \
	ircd_log_dir=$RPM_BUILD_ROOT/var/log \
	install-server

# we have to manually build ircd.m4:
cd support
../ircd/buildm4 $RPM_BUILD_ROOT/etc/ircd/ircd.m4
cd ..

install -m 711 %{SOURCE3} $RPM_BUILD_ROOT/usr/sbin/ircd-crypter
echo 'This is a poorly installed IRC server (MOTD not edited)' > $RPM_BUILD_ROOT/etc/ircd/ircd.motd
install -m 750 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/support/iauth.conf $RPM_BUILD_ROOT/etc/ircd
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/example.conf $RPM_BUILD_ROOT/etc/ircd


%post
chkconfig --add ircd
touch /var/log/auth
touch /var/log/opers
touch /var/log/rejects
touch /var/log/users
# update /etc/ircd/ircd.m4
DOMAIN=`egrep '^domain' /etc/resolv.conf | \
	sed -e 's/^domain[     ]*\([^   ]*\).*/\1/'`
HOST=`hostname | sed -e 's/\([a-zA-Z0-9\-]*\).*/\1/'`
sed "s/define(HOSTNAME,.*)/define(HOSTNAME,$HOST)/g" /etc/ircd/ircd.m4 >/etc/ircd/ircd.m4.new
sed "s/define(DOMAIN,.*)/define(DOMAIN,$DOMAIN)/g" /etc/ircd/ircd.m4.new >/etc/ircd/ircd.m4
rm -f /etc/ircd/ircd.m4.new


%preun
if [ $1 = 0 ] ; then
	chkconfig --del ircd
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc doc/2.* doc/Authors doc/BUGS doc/ChangeLog doc/Etiquette doc/INSTALL.*
%doc doc/LICENSE doc/README doc/RELEASE* doc/SERVICE* doc/alt-irc-faq
%doc doc/example.conf doc/iauth-internals.txt doc/m4macros
%doc doc/Juped doc/Nets
%{_sbindir}/*
%{_mandir}/man8/ircd.8.*
%{_mandir}/man8/iauth.8.*
%{_mandir}/man8/ircdwatch.8.*
%{_mandir}/man5/iauth.conf.5.*
%config(noreplace) %{_sysconfdir}/ircd/ircd.m4
%config(noreplace) %{_sysconfdir}/ircd/ircd.motd
%config(noreplace) %{_sysconfdir}/ircd/iauth.conf
%config(noreplace) %{_sysconfdir}/ircd/example.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/ircd


%changelog
* Fri Aug 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.10.3-7mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.10.3-6mdk 
- rebuild

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.10.3-5mdk
- BM
- macros

* Fri May 05 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.10.3-4mdk
- FINALLY!
- bad CHROOT option in custom config.h file, fixed.
- fix group
- update /etc/rc.d/init.d/ircd

* Wed Apr 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.10.3-3mdk
- update for spec-helper
- major cleanup to specfile

* Mon Feb 21 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile changes, installs to / instead of /home/ircd
- removed including libraries in RPM, which makes archive smaller and
  keeps system in sync with libraries currently installed (much cleaner)

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Jan 18 2000 Vincent Danen <vdanen@linux-mandrake.com>
- more specfile changes
- bzip manpages

* Sat Jan 15 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile based on RPM from Mihai Ibanescu <misa@necomm.ro>
- bzip sources
